### org.jfree.layouting.modules.output.html

# Class HtmlOutputProcessorMetaData

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessorMetaData`
  - - `org.jfree.layouting.modules.output.html.HtmlOutputProcessorMetaData`

Implemented Interfaces:
  OutputProcessorMetaData

`public class HtmlOutputProcessorMetaData`
`extends AbstractOutputProcessorMetaData`

Creation-Date: 02.01.2006, 18:38:20

Author:
  Thomas Morgner

  ## Field Summary

  `static int`

  `PAGINATION_FULL`

  `static int`

  `PAGINATION_MANUAL`

  `static int`

  `PAGINATION_NONE`

  ## Constructor Summary

  `HtmlOutputProcessorMetaData(FontStorage fontStorage, int paginationMode)`

  `HtmlOutputProcessorMetaData(int paginationMode)`

  ## Method Summary

  `FontFamily`

  `getDefaultFontFamily()`

  `String`

  `getExportDescriptor()`
    The export descriptor is a string that describes the output characteristics.

  `boolean`

  `isIterative()`
    An iterative output processor accepts and processes small content chunks.

  ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessorMetaData

  `addFeature`, `getDefaultPageSize`, `getFontFamilyForGenericName`, `getFontMetrics`, `getFontRegistry`, `getFontSize`, `getFontStorage`, `getHorizontalPageSpan`, `getMediaType`, `getNormalizedFontFamilyName`, `getNumericFeatureValue`, `getSupportedResourceTypes`, `getVerticalPageSpan`, `isFeatureSupported`, `isValid`, `setFamilyMapping`, `setNumericFeatureValue`

## Field Details

### PAGINATION_FULL

    public static final int PAGINATION_FULL

> Field Value:
>   2

### PAGINATION_MANUAL

    public static final int PAGINATION_MANUAL

> Field Value:
>   1

### PAGINATION_NONE

    public static final int PAGINATION_NONE

> Field Value:
>   0

## Constructor Details

### HtmlOutputProcessorMetaData

    public HtmlOutputProcessorMetaData(FontStorage fontStorage,
                                       int paginationMode)

### HtmlOutputProcessorMetaData

    public HtmlOutputProcessorMetaData(int paginationMode)

## Method Details

### getDefaultFontFamily

    public FontFamily getDefaultFontFamily()

> Specified by:
>   getDefaultFontFamily in interface OutputProcessorMetaData

### getExportDescriptor

    public String getExportDescriptor()

> The export descriptor is a string that describes the output characteristics. For libLayout outputs, it should start with the output class (one of 'pageable', 'flow' or 'stream'), followed by '/liblayout/' and finally followed by the output type (ie. PDF, Print, etc).
> Specified by:
>   getExportDescriptor in interface OutputProcessorMetaData
> Returns:
>   the export descriptor.

### isIterative

    public boolean isIterative()

> An iterative output processor accepts and processes small content chunks. If this method returns false, the output processor will not receive the content until the whole document is processed.
> Specified by:
>   isIterative in interface OutputProcessorMetaData
> Returns: